<?PHP
######################################################
#                                                    #
#                Forms To Go 4.5.4                   #
#             http://www.bebosoft.com/               #
#                                                    #
######################################################




define('kOptional', true);
define('kMandatory', false);




error_reporting(E_ERROR | E_WARNING | E_PARSE);
ini_set('track_errors', true);

function DoStripSlashes($fieldValue)  { 
// temporary fix for PHP6 compatibility - magic quotes deprecated in PHP6
 if ( function_exists( 'get_magic_quotes_gpc' ) && get_magic_quotes_gpc() ) { 
  if (is_array($fieldValue) ) { 
   return array_map('DoStripSlashes', $fieldValue); 
  } else { 
   return trim(stripslashes($fieldValue)); 
  } 
 } else { 
  return $fieldValue; 
 } 
}

function FilterCChars($theString) {
 return preg_replace('/[\x00-\x1F]/', '', $theString);
}

function CheckEmail($email, $optional) {
 if ( (strlen($email) == 0) && ($optional === kOptional) ) {
  return true;
  } elseif ( preg_match("/^([\w\!\#$\%\&\'\*\+\-\/\=\?\^\`{\|\}\~]+\.)*[\w\!\#$\%\&\'\*\+\-\/\=\?\^\`{\|\}\~]+@((((([a-z0-9]{1}[a-z0-9\-]{0,62}[a-z0-9]{1})|[a-z])\.)+[a-z]{2,6})|(\d{1,3}\.){3}\d{1,3}(\:\d{1,5})?)$/i", $email) == 1 ) {
  return true;
 } else {
  return false;
 }
}




if (isset($_SERVER['HTTP_X_FORWARDED_FOR'])) {
 $clientIP = $_SERVER['HTTP_X_FORWARDED_FOR'];
} else {
 $clientIP = $_SERVER['REMOTE_ADDR'];
}

$FTGname = DoStripSlashes( $_POST['name'] );
$FTGtel = DoStripSlashes( $_POST['tel'] );
$FTGemail = DoStripSlashes( $_POST['email'] );
$FTGmessage = DoStripSlashes( $_POST['message'] );
$FTGsubmit = DoStripSlashes( $_POST['submit'] );



$validationFailed = false;

# Fields Validations


if (!CheckEmail($FTGemail, kMandatory)) { $validationFailed = true; }



# Redirect user to the error page

if ($validationFailed === true) {

 header("Location: http://www.novacrylics.co.uk/error.html");

}

if ( $validationFailed === false ) {

 # Email to Form Owner
  
 $emailSubject = FilterCChars("Message from Novacrylics Website");
  
 $emailBody = "name : $FTGname\r\n"
  . "tel : $FTGtel\r\n"
  . "email : $FTGemail\r\n"
  . "message : $FTGmessage\r\n"
  . "\r\n"
  . "";
  $emailTo = 'Jim <jim@novalecterns.co.uk>';
   
  $emailFrom = FilterCChars("$FTGemail");
   
  $emailHeader = "From: $emailFrom\r\n"
   . "MIME-Version: 1.0\r\n"
   . "Content-type: text/plain; charset=\"ISO-8859-1\"\r\n"
   . "Content-transfer-encoding: 7bit\r\n";
   
  mail($emailTo, $emailSubject, $emailBody, $emailHeader);
  
  
 # Confirmation Email to User
  
 $confEmailTo = FilterCChars($FTGemail);
  
 $confEmailSubject = FilterCChars("Confirmation of receipt of email from Novacrylics Engineering");
  
 $confEmailBody = "Dear : $FTGname\r\n"
  . "\r\n"
  . "Thank you for contacting Novacrylics Engineering\r\n"
  . "\r\n"
  . "Your enquiry has been delivered.\r\n"
  . "\r\n"
  . "If a response is required and you don't hear from us within one working day please call us on 01926 843333.\r\n"
  . "\r\n"
  . "Regards\r\n"
  . "\r\n"
  . "Novacrylics Engineering\r\n"
  . "";
  
 $confEmailHeader = "From: Sales@Novacrylics.co.uk\r\n"
  . "MIME-Version: 1.0\r\n"
  . "Content-type: text/plain; charset=\"ISO-8859-1\"\r\n"
  . "Content-transfer-encoding: 7bit\r\n";
  
 mail($confEmailTo, $confEmailSubject, $confEmailBody, $confEmailHeader);
  


# Redirect user to success page

header("Location: http://www.novacrylics.co.uk/success.html");

}

?>